Moon Shuttle [Upright Model] [MSA-8001] (c) 1981 Nichibutsu.


- TECHNICAL -
Upright Model
Model number : MSA-8001
C.R.T. : 20 inch.

Width : 600 mm.

Depth : 690 mm.

Height : 1625 mm.

Power source : 100V~240V / 110W

- TRIVIA -
Released in September 1981.

Mike Perez holds the official record for this game with 30,870 points.

Japan releases list :
Moon Shuttle [Upright Model] [MSA-8001]
Moon Shuttle [Child Upright Model] [MSC-8001]
Moon Shuttle [Table Model] [MS-18001]
Moon Shuttle [Table Model] [MS-28001]
USA releases list :
Moon Shuttle [Taito Upright Model]
Moon Shuttle [Trimline Model]
